java.net

## Interface URLStreamHandlerFactory

-     public interface URLStreamHandlerFactory

  This interface defines a factory for `URL` stream protocol handlers.

  It is used by the `URL` class to create a `URLStreamHandler` for a specific protocol.

  Since:
    JDK1.0
  See Also:
    `URL`, `URLStreamHandler`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `URLStreamHandler` | `createURLStreamHandler(String protocol)` Creates a new `URLStreamHandler` instance with the specified protocol.

- - ### Method Detail

    - #### createURLStreamHandler

          URLStreamHandler createURLStreamHandler(String protocol)

      Creates a new `URLStreamHandler` instance with the specified protocol.
      Parameters:
        `protocol` - the protocol ("`ftp`", "`http`", "`nntp`", etc.).
      Returns:
        a `URLStreamHandler` for the specific protocol.
      See Also:
        `URLStreamHandler`

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.